DIMPRESS(1)

NAME
dimpress - Imagen printer filter

SYNOPSIS
dimpress [ option ] ... [ file ] ...

DESCRIPTION
Dimpress prints files created by troff(1) on any printer that accepts the Impress graphics and page layout language. If no file is mentioned, the standard input is printed. The following options are understood.

-olist
    Print pages whose numbers are given in the comma-separated list. The list contains single numbers N and ranges N1-N2. A missing N1 means the lowest-numbered page, a missing N2 means the highest.

-t  Direct output to the standard output instead of the printer.

-xnum
    Leave a margin num inches from the left side edge of the paper.

-ynum
    Leaves a margin num inches down from the top of the page. Negative values for num are allowed and often useful, especially to get macro generated cut marks off the page.

-l  Print the job in landscape mode.

-pnum
    Set the horizontal and vetical step sizes for graphics to num pixels. If Impress graphics commands are used for drawing this option will only affect splines.

-Pnum
    Use num as the pixel diameter of the Impress graphics pen. Only useful when Impress graphics commands are being used.

-Tname
    Generate output to be printed on the target printer name. The printers currently supported are:

    i300
        Imagen 8/300
    i480
        Imagen 5/480
    i10 Imagen Imprint-10 using rasti10 raster files
    i240
        Imagen Imprint-10 using rasti240 raster files

    By default the output printer is assumed to be i300. Although i10 and i240 select the same target printer, namely the Imprint-10, the raster tables used for character generation will be found in different directories.

-Fdir
    Use dir as the troff font directory.

-Bdir
    Use dir as the raster table directory. When processing a file generated by troff for printing on device xxx dimpress will first look for the binary font directory devxxx in the raster table directory. If it's not found there the devxxx directory in troff's font directory will be used.

-Rname
    Use raster tables generated for device name when printing file. By default dimpress will attempt to use the target printer's raster files.

-ffile
    Read resident font information from file which is located in directory /usr/lib/raster/RESIDENT. By default dimpress looks for a file in that directory that has the same name as the target printer. Useful if several otherwise identical printers support different sets of resident fonts.

The files should be prepared by troff. Best results will almost certainly be obtained only when troff and dimpress agree on the target printer.

FILES
/tmp/dimp*
/usr/lib/font/dev*/*
/usr/lib/raster/rast*
/usr/lib/raster/RESIDENT/*

SEE ALSO
troff(1), tc(1), troff(5), daps(1)